Package org.oasis_open.docs.ws_calendar.ns.soap

# Class UTCTimeRangeType

java.lang.Object
org.oasis_open.docs.ws_calendar.ns.soap.UTCTimeRangeType

Direct Known Subclasses:
  `ExpandType`, `LimitFreebusySetType`, `LimitRecurrenceSetType`

public class UTCTimeRangeType extends Object

Java class for UTCTimeRangeType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="UTCTimeRangeType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="start" type="{urn:ietf:params:xml:ns:icalendar-2.0}UTCDateTimeType" minOccurs="0"/>
             <element name="end" type="{urn:ietf:params:xml:ns:icalendar-2.0}UTCDateTimeType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected XMLGregorianCalendar`
  `end`
  `protected XMLGregorianCalendar`
  `start`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UTCTimeRangeType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `XMLGregorianCalendar`
  `getEnd()`
  Gets the value of the end property.
  `XMLGregorianCalendar`
  `getStart()`
  Gets the value of the start property.
  `void`
  `setEnd(XMLGregorianCalendar value)`
  Sets the value of the end property.
  `void`
  `setStart(XMLGregorianCalendar value)`
  Sets the value of the start property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### start

    protected XMLGregorianCalendar start

  - ### end

    protected XMLGregorianCalendar end

- ## Constructor Details

  - ### UTCTimeRangeType

    public UTCTimeRangeType()

- ## Method Details

  - ### getStart

    public XMLGregorianCalendar getStart()
    Gets the value of the start property.
    Returns:
      possible object is `XMLGregorianCalendar`

  - ### setStart

    public void setStart(XMLGregorianCalendar value)
    Sets the value of the start property.
    Parameters:
      `value` - allowed object is `XMLGregorianCalendar`

  - ### getEnd

    public XMLGregorianCalendar getEnd()
    Gets the value of the end property.
    Returns:
      possible object is `XMLGregorianCalendar`

  - ### setEnd

    public void setEnd(XMLGregorianCalendar value)
    Sets the value of the end property.
    Parameters:
      `value` - allowed object is `XMLGregorianCalendar`